Saxon API for .NET |

# Serializer Methods

The methods of the Serializer class are listed below. For a complete list of Serializer class members, see the Serializer Members topic.

#### Public Instance Methods

Close |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetOutputProperties |
GetResult |
GetType (inherited from Object) | Gets the Type of the current instance.
SetOutputFile | Specify the destination of the serialized output, in the form of a file name
SetOutputProperty | Set a serialization property
SetOutputStream | Specify the destination of the serialized output, in the form of a `Stream`
SetOutputWriter | Specify the destination of the serialized output, in the form of a `TextWriter`
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

Serializer Class | Saxon.Api Namespace